Xcode 升级插件失效的解决办法以及使用

在升级 Xcode 以后插件不能使用或者点击了skip bundle的解决办法

一般在升级了 Xcode 以后我们的插件就应该重新导入一下,重新打开 Xcode 会出现下面的弹出框,如图 1
图 1
一般我们只需要点击一下左边的 Load Bundle 就可以了,如果你点击了 Skip Bundle 或者点击 Load Bundle 以后插件仍然不能用,那就用下面的办法解决

先找到你的 Xcode 的 UUID ,打开终端,在终端输入

1
defaults read /Applications/Xcode.app/Contents/Info DVTPlugInCompatibilityUUID

会得到你的 Xcode 的 UUID,如图 2

图 2

找到你的 Xcode 的插件所在的位置

Xcode 中所有的插件都放在一个文件夹中,点击前往→前往文件夹(或者shift + command + G)如图 3

图 3
输入

1
~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/

就可以进入到你的插件的文件夹了,如图 4

图 4

右键显示包内容,找到 info.plist ,点击 DVTPlugInCompatibilityUUID 看看有没有你的 Xcode 的 UUID ,没有的话就加一个 item,把你的 UUID 加进去,如图 5

图 5

然后关闭你的 Xcode,再重启点击 Load Bundle 就可以用了

推荐的Xcode插件

Alcatraz

Xcode的插件管理器,非常好用,具体请看巧神的博客
http://blog.devtang.com/blog/2014/03/05/use-alcatraz-to-manage-xcode-plugins/

如果安装不上的童鞋可以从这里(网盘地址)下载,然后放在

~/Library/Application Support/Developer/Shared/Xcode/Plug-ins/

这个文件夹里把 UUID 加进去就可以使用了

VVDocumenter-Xcode

瞄神的大作,快速注释代码的插件,一直在用
https://github.com/onevcat/VVDocumenter-Xcode

XAlign

代码对齐的插件,有强迫症的同学非常适合(个人感觉在宏里面对齐非常好,整齐)
https://github.com/qfish/XAlign

还有很多就不一一列举了。

若您觉得我的文章对你有帮助,欢迎点击上方按钮对我打赏!
------------- 本文结束 感谢您的阅读 -------------